OnlinePay API
V2
V1
V2
V1
  1. Payout
  • Introduction
    • Introduction
    • How to Start
    • Country Code
    • Country Info
    • Currency Code
    • Error Code
    • Transfer Order Info Type
    • Transfer Order File Type
    • Per Bank
    • Spei Bank
    • Vietnam Bank
    • V2 Signature Specification
  • Payin
    • Credit Card API
      POST
    • Alipay API
      POST
    • GCash API
      POST
    • WeChat API
      POST
    • PIX API
      POST
    • Crypto API
      POST
    • Union Pay API
      POST
    • SPEI API
      POST
    • SEPA API
      POST
    • Per Transfer API
      POST
    • Cash App API
      POST
    • Google Pay API
      POST
    • Apple Pay API
      POST
    • MONO API
      POST
    • Vietnam Bank API
      POST
    • CheckOut API
      POST
    • CheckOut Payment API
      POST
    • OnRamps API
      GET
  • Payout
    • PER Transfer Payout API
      POST
    • Checkout Payout API
      POST
    • Card Payout API
      POST
    • Bank Account Payout API
      POST
    • PIX Payout API
      POST
    • PER Transfer Payout API
      POST
    • SPEI Payout API
      POST
    • CashApp Payout API
      POST
    • Checkout Payout API
      POST
    • Query Payout Order API
      POST
    • Upload SEPA File API
      POST
  • Refund
    • Refund API
  • Card
    • Create Cardholder API
    • Create Card API
    • Active Card API
    • Freeze Card API
    • UnFreeze Card API
    • Cancel Card API
    • TopUp Card API
    • Card Withdraw API
    • Query Card Balance API
    • Query Card Info API
    • Query Card Transaction API
    • Add VPA Scene API
    • UploadFile API
  • Query
    • Query Payout Order API
    • Query Order API
    • QueryOrderList API
    • QueryBalance API
    • QueryOrderAmount API
  • Notify
    • Pay Notify WebHook API
    • Card Notify WebHook API
    • Refund Notify WebHook API
    • Chargeback Notify WebHook API
  • Schemas
    • UserArray
    • CheckStandV2Request
    • ApiResponse
    • PayoutCheckStandV2Request
    • QueryPayOutV2Request
    • V2EncryptedEnvelope
    • V2EncryptedNotification
    • PaymentNotificationPayload
    • ProductParams
    • Category
    • PayoutCheckStandV2Response
    • PaymentNotification
    • QueryPayOutV2Response
    • PayoutQueryResult
    • Pet
    • OrderQueryV2Data
    • PayoutCheckStandV2Data
    • CheckStandV2Response
    • RefundNotificationPayload
    • CheckStandV2Data
    • ChargebackNotificationPayload
    • Tag
    • OrderQueryV2Request
    • OrderQueryV2Response
    • Order
    • User
  1. Payout

Query Payout Order API

Testing Env
https://testpay.onlinepay.ai
Testing Env
https://testpay.onlinepay.ai
POST
/v2/order/queryPayOut
Query payout order status by trade numbers.

Request

Header Params

Body Params application/json

Example
{
    "merNo": 840698790,
    "version": "V2.0.0",
    "tradeNos": [
        "T2026052200001",
        "T2026052200002"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://testpay.onlinepay.ai/v2/order/queryPayOut' \
--header 'paymentType: QUERY_PAYOUT' \
--header 'Referer;' \
--header 'User-Agent;' \
--header 'Authorization;' \
--header 'lang;' \
--header 'orderType;' \
--header 'Content-Type: application/json' \
--data '{
    "merNo": 840698790,
    "version": "V2.0.0",
    "tradeNos": [
        "T2026052200001",
        "T2026052200002"
    ]
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "code": "00000",
    "message": "SUCCESS",
    "data": {}
}
Modified at 2026-05-26 02:48:30
Previous
Checkout Payout API
Next
Upload SEPA File API
Built with